<!-- omit in toc -->

# Websites hosts

<p>
  <img alt="Version" src="https://img.shields.io/badge/version-1.2.0-blue.svg?cacheSeconds=2592000&style=flat-square" />
  <a href="https://github.com/erickmack/hostingOptions/graphs/commit-activity" target="_blank">
      <img alt="Maintenance" src="https://img.shields.io/badge/Maintained%3F-yes-green.svg?style=flat-square" />
    </a>
  <a href="https://github.com/erickmack/hostingoptions/blob/master/LICENSE" target="_blank">
      <img alt="License: GNU GPLv3" src="https://img.shields.io/github/license/erickmack/hostingoptions?style=flat-square" />
    </a>
      <a href="https://twitter.com/ErickOhmDev" target="_blank">
      <img alt="Twitter: eriickmack" src="https://img.shields.io/twitter/follow/ErickOhmDev.svg?style=social" />
    </a>
</p>

A small collection of websites hosts with a special focus on budget solutions, this is not meant for big scale projects but rather small personal sites or medium size businesses. I am not an expert, these providers were picked from recommendations from other developers I know and tech websites who have reviewed them.

Things to note:

- Some sites call website traffic "bandwidth", for simplicity I wrote it the same way they advertise it as.
- Some sites advertise "unlimited" bandwidth but nothing is trully unlimited, for the sites I was able to get additional information on I added the actual limit stated in their Fair Use Policies.
- As stated before I am no expert always do your own research and look at the reviews from people who have used the service.
- Last update: **2022-06-01**

<!-- omit in toc -->

### Table of Contents

- [Websites hosts](#websites-hosts)
    - [Table of Contents](#table-of-contents)
- [Static Websites Hosts](#static-websites-hosts)
  - [Cloudflare Pages](#cloudflare-pages)
  - [Surge](#surge)
  - [Vercel](#vercel)
  - [Netlify](#netlify)
  - [Render](#render)
  - [GitHub Pages](#github-pages)
- [VPS Providers](#vps-providers)
  - [Oxide Hosting](#oxide-hosting)
  - [Hetzner](#hetzner)
  - [Digital Ocean](#digital-ocean)
  - [Time4VPS](#time4vps)
- [Shared Hosting](#shared-hosting)
  - [Dreamhost](#dreamhost)
  - [Hostgator](#hostgator)

# Static Websites Hosts

`Ideal for small static websites with few monthly visitors`

## [Cloudflare Pages](https://pages.cloudflare.com/ "https://pages.cloudflare.com/")

- **Free** - \$0
  - 1 build at a time
  - 500 builds per month
  - Unlimited sites
  - Unlimited requests
  - Unlimited bandwidth
- **Pro** - \$20
  - 5 concurrent builds
  - 5,000 builds per month
  - Unlimited sites
  - Unlimited requests
  - Unlimited bandwidth
- **Business** - \$200
  - 20 concurrent builds
  - 20,000 builds per month
  - Unlimited sites
  - Unlimited requests
  - Unlimited bandwidth

## [Surge](https://surge.sh/ "https//surge.sh/")

- **Surge** - \$0
  - Unlimited bandwidth
  - Unlimited publishing
  - Custom domain
  - Basic SSL
- **Surge Professional** - \$30
  - Unlimited projects
  - Unlimited bandwidth
  - Unlimited publishing
  - Custom SSL
  - Custom redirect
  - Password protection
  - CORS

## [Vercel](https://vercel.com/ "https://vercel.com/")

- **Hobby** - \$0
  - 100GB bandwidth
  - HTTPS-enabled Custom Domains
  - Continuos deployment with Git
  - High-performance Edge Netowrk 
  - Unlimited Websites & APIs
  - Build Execution 100 hours
  - Serverless Functions 100 GB-hours of execution
  - Image Optimization Source Images 1000 Images
- **Pro** - \$20
 	- Unlimited function requests & 1000 GB-hours of execution
	- Dynamic edge caching
	- 1TB bandwidth
  - Build Execution 400 hours
  - Image Optimization Source Images 5000 Images

## [Netlify](https://www.netlify.com/ "https://www.netlify.com/")

- **Free** - \$0
  - 100GB bandwidth (then $55 per 100GB) and 300 build minutes
  - Automated builds from Git
  - Deploy to global Edge network
  - Instant rollbacks
  - Serverless Functions 125k invocations per site per month
  - Edge Functions 3m per month invocations
  - Form submissions 100 per site per month
  - Auth Active Users 1k per site per month
- **Pro** - \$19
  - 1TB bandwidth (then $55 per 100GB) and 25k build minutes
  - Background Functions
  - Password-protected sites
  - Serverless Functions 125k invocations per site per month
  - Edge Functions 15m per month invocations
  - Form submissions 100 per site per month
  - Auth Active Users 1k per site per month
- **Business** - \$99
  - 1.5TB bandwidth 	(then $55 per 100GB) and 35k build minutes
  - Role-based access control
  - Unlimited Analytics for all sites
  - Unlimited Forms and Identity
  - Edge Functions 150m per month invocations
  - Form submissions unlimited per site per month
  - Auth Active Users unlimited per site per month


## [Render](https://render.com/ "https://render.com/")

- **Free** - \$0
  - 100 GB bandwidth (then $0.10 per GB)
  - CDN
  - Continuos deploys from Git
  - Custom domains with fully managed SSL
  - Unlimited collaborators
  - Additional services: 
    - Web Services with HTTP/2 and TLS
    - PostgreSQL fully managed
    - Redis fully managed
    - Cron Jobs 

## [GitHub Pages](https://pages.github.com/ "https://pages.github.com/")

- **Free** - $0
  - 100GB bandwidth

# VPS Providers

`Ideal for small to medium sized backends or apps`

## [Oxide Hosting](https://oxide.host/virtual-servers-classic "https://oxide.host/virtual-servers-classic")

<details>
    <summary>VPS Classic XS - $4.52</summary>
    <ul>
      <li>1 vCore 5.00GHz</li>
      <li>2GB DDR4 ECC RAM</li>
      <li>16GB NVMe storage</li>
      <li>500mbps up 200mbps down unmetered bandwidth</li>
      <li>Anti-DDoS Protection</li>
      <li>Automated backups</li>
    </ul>
  </details>
<details>
    <summary>VPS Classic S - $8.29</summary>
    <ul>
      <li>1 vCore 5.00GHz</li>
      <li>4GB DDR4 ECC RAM</li>
      <li>32GB NVMe storage</li>
      <li>500mpbs up 200mbps down unmetered bandwidth</li>
      <li>Anti-DDoS Protection</li>
      <li>Automated backups</li>
    </ul>
  </details>
  <details>
    <summary>VPS Classic M - $12.06</summary>
    <ul>
      <li>2 vCorse 5.00GHz</li>
      <li>6GB DDR4 ECC RAM</li>
      <li>48GB NVMe storage</li>
      <li>500mpbs up 200mbps down unmetered bandwidth</li>
      <li>Anti-DDoS Protection</li>
      <li>Automated backups</li>
    </ul>
  </details>
  <details>
    <summary>VPS Classic L - $15.84</summary>
    <ul>
      <li>2 vCore 5.00GHz</li>
      <li>8GB DDR4 ECC RAM</li>
      <li>64GB NVMe storage</li>
      <li>500mpbs up 200mbps down unmetered bandwidth</li>
      <li>Anti-DDoS Protection</li>
      <li>Automated backups</li>
    </ul>
  </details>
  <details>
    <summary>VPS Classic XL - $23.38</summary>
    <ul>
      <li>3 vCPU 5.00GHz</li>
      <li>12GB DDR4 ECC RAM</li>
      <li>80GB NVMe storage</li>
      <li>500mpbs up 200mbps down unmetered bandwidth</li>
      <li>Anti-DDoS Protection</li>
      <li>Automated backups</li>
    </ul>
  </details>
  <details>
    <summary>VPS Classic XXL - $30.93</summary>
    <ul>
      <li>3 vCore 5.0GHz</li>
      <li>16GB RAM</li>
      <li>96GB NVMe storage</li>
      <li>500mpbs up 200mbps down unmetered bandwidth</li>
      <li>Anti-DDoS Protection</li>
      <li>Automated backups</li>
    </ul>
  </details>
	<details>
    <summary>VPS Classic XXL - $34.48</summary>
    <ul>
      <li>4 vCore 5.0GHz</li>
      <li>20GB RAM</li>
      <li>112GB NVMe storage</li>
      <li>500mpbs up 200mbps down unmetered bandwidth</li>
      <li>Anti-DDoS Protection</li>
      <li>Automated backups</li>
    </ul>
  </details>

## [Hetzner](https://www.hetzner.com/cloud/?1 "https://www.hetzner.com/cloud/?1")

  <details>
    <summary>CX11 - €4.15</summary>
    <ul>
      <li>1 vCPU</li>
      <li>2GB RAM</li>
      <li>20GB storage</li>
      <li>20TB bandwidth</li>
    </ul>
  </details>
  <details>
    <summary>CPX11 - €4.75</summary>
    <ul>
      <li>2 vCPU</li>
      <li>2GB RAM</li>
      <li>40GB storage</li>
      <li>20TB bandwidth</li>
    </ul>
  </details>
  <details>
    <summary>CX21 - €5.83</summary>
    <ul>
      <li>2 vCPU</li>
      <li>4GB RAM</li>
      <li>40GB storage</li>
      <li>20TB bandwidth</li>
    </ul>
  </details>
    <details>
    <summary>CPX21 - €8.21</summary>
    <ul>
      <li>3 vCPU</li>
      <li>4GB RAM</li>
      <li>80GB storage</li>
      <li>20TB bandwidth</li>
    </ul>
  </details>
    <details>
    <summary>CX31 - €10.59</summary>
    <ul>
      <li>2 vCPU</li>
      <li>8GB RAM</li>
      <li>80GB storage</li>
      <li>20TB bandwidth</li>
    </ul>
  </details>
    <details>
      <summary>CPX31 - €14.76</summary>
      <ul>
        <li>4 vCPU</li>
        <li>8GB RAM</li>
        <li>160GB storage</li>
        <li>20TB bandwidth</li>
      </ul>
  </details>

## [Digital Ocean](https://www.digitalocean.com/pricing/droplets "https://www.digitalocean.com/pricing/droplets")

  <details>
    <summary>Option 1 - $5</summary>
    <ul>
      <li>1 vCPU</li>
      <li>1GB RAM</li>
      <li>25GB SSD storage</li>
      <li>1TB bandwidth</li>
    </ul>
  </details>
  <details>
    <summary>Option 2 - $10</summary>
     <ul>
        <li>1 vCPU</li>
       <li> 2GB RAM</li>
       <li>50GB SSD storage</li>
        <li>2TB bandwidth</li>
     </ul>
  </details>
 <details>
    <summary>Option 3 - $15</summary>
     <ul>
        <li>2 vCPU</li>
        <li>2GB</li>
        <li>60GB SSD storage</li>
        <li>3TB bandwidth</li>
     </ul>
 </details>
  <details>
    <summary>Option 4 - $20</summary>
      <ul>
        <li>2 vCPU</li>
        <li>4GB RAM</li>
        <li>80GB SSD storage</li>
        <li>4TB bandwidth</li>
      </ul>
  </details>
  <details>
    <summary>Option 5 - $40</summary>
      <ul>
        <li>4 vCPU</li>
        <li>8GB RAM</li>
        <li>160GB SSD storage</li>
        <li>5TB bandwidth</li>
      </ul>
  </details>
  <details>
    <summary>Option 6 - $80</summary>
      <ul>
        <li>8 vCPU</li>
        <li>16GB RAM</li>
        <li>320GB SSD storage</li>
        <li>6TB bandwidth</li>
      </ul>
  </details>

## [Time4VPS](https://www.time4vps.com/linux-vps/ "https://www.time4vps.com/linux-vps/")

  <details>
    <summary>Linux 2 - €4.99</summary>
    <ul>
      <li>1 vCPU 2.6GHz</li>
      <li>2GB RAM</li>
      <li>20GB storage</li>
      <li>2TB bandwidth</li>
    </ul>
  </details>
    <details>
    <summary>Linux 4 - €7.99</summary>
    <ul>
      <li>1 vCPU 2.6GHz</li>
      <li>4GB RAM</li>
      <li>40GB storage</li>
      <li>4TB bandwidth</li>
    </ul>
  </details>
    <details>
    <summary>Linux 8 - €12.99</summary>
    <ul>
      <li>2 vCPU 2.6GHz</li>
      <li>8GB RAM</li>
      <li>80GB storage</li>
      <li>8TB bandwidth</li>
    </ul>
  </details>
    <details>
    <summary>Linux 16 - €23.99</summary>
    <ul>
      <li>4 vCPU 2.6GHz</li>
      <li>16GB RAM</li>
      <li>160GB storage</li>
      <li>16TB bandwidth</li>
    </ul>
  </details>
    <details>
    <summary>Linux 24 - €22.49</summary>
    <ul>
      <li>6 vCPU 2.6GHz</li>
      <li>24GB RAM</li>
      <li>240GB storage</li>
      <li>24TB bandwidth</li>
    </ul>
  </details>

# Shared Hosting

`Ideal for big static websites with many monthly visitors`

## [Dreamhost](https://www.dreamhost.com/hosting/shared/ "https://www.dreamhost.com/hosting/shared/")

  <details>
    <summary>Shared Starter - $7.99</summary>
    <ul>
      <li>50GB storage</li>
      <li>Unmetered bandwidth</li>
      <li>1 website</li>
      <li>5 subdomains</li>
      <li>Free SSL Certificate</li>
    </ul>
  </details>
  <details>
    <summary>Shared Unlimited - $13.99</summary>
    <ul>
      <li>Unlimited storage</li>
      <li>Unmetered bandwidth</li>
      <li>Unlimited websites</li>
      <li>Email accounts @ your domain</li>
      <li>Free SSL Certificate</li>
    </ul>
  </details>

## [Hostgator](https://www.hostgator.com/web-hosting "https://www.hostgator.com/web-hosting")

  <details>
    <summary>Hatchling - $10.95</summary>
    <ul>
      <li>Unmetered storage</li>
      <li>Unmetered bandwidth</li>
      <li>1 website</li>
      <li>SSL certificate</li>
    </ul>
  </details>
  <details>
    <summary>Baby - $11.95</summary>
    <ul>
      <li>Unmetered storage</li>
      <li>Unmetered bandwidth</li>
      <li>Unlimited websites</li>
      <li>SSL certificate</li>
    </ul>
  </details>
  <details>
      <summary>Business - $16.95</summary>
    <ul>
      <li>Unmetered storage</li>
      <li>Unmetered bandwidth</li>
      <li>Unlimited websites</li>
      <li>SSL certificate</li>
      <li>Dedicated IP</li>
    </ul>
  </details>
